fr::ssl::SSL_get_rbio(3SSL)

NOM
SSL_get_rbio - Récupérer le BIO attaché à un objet SSL

SYNOPSIS
 #include <openssl/ssl.h>

 BIO *SSL_get_rbio(SSL *ssl);
 BIO *SSL_get_wbio(SSL *ssl);

DESCRIPTION
SSL_get_rbio() et SSL_get_wbio() renvoient les pointeurs vers les BIO des canaux de lecture et écriture, qui peuvent être différents. Le décompte de références du BIO n'est pas incrémenté.

VALEURS DE RETOUR
Les valeurs suivantes peuvent être renvoyées.

NULL
    Aucun BIO n'est connecté à l'objet SSL.

Tout autre pointeur
    Le BIO attaché à ssl.

VOIR AUSSI
SSL_set_bio(3), ssl(3), bio(3)

TRADUCTION
La traduction de cette page de manuel est maintenue par les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.